[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Photon aggregation jobs are stuck

I've deactivated the EGit/Github contrib (https://git.eclipse.org/r/#/c/122893/) and the validate job is green.

I've started a new aggregation build https://ci.eclipse.org/simrel/job/simrel.photon.runaggregator.BUILD__CLEAN/248

Le 17 mai 2018 Ã 19:42, MikaÃl Barbero <mikael.barbero@xxxxxxxxxxxxxxxxxxxxxx> a Ãcrit :

Something is wrong with download.eclipse.org/egit/github/staging/v5.0.0.201805151920-m7 features. In the complete staging repo, I properly have 

./plugins/org.eclipse.mylyn.github.core_5.0.0.201805151920-m7.jar
./plugins/org.eclipse.mylyn.github.core_5.0.0.201805151920-m7.jar.pack.gz
./plugins/org.eclipse.mylyn.github.doc_5.0.0.201805151920-m7.jar
./plugins/org.eclipse.mylyn.github.doc_5.0.0.201805151920-m7.jar.pack.gz
./plugins/org.eclipse.mylyn.github.ui_5.0.0.201805151920-m7.jar
./plugins/org.eclipse.mylyn.github.ui_5.0.0.201805151920-m7.jar.pack.gz

They have disappear since yesterday. 

Matthias, I am going to deactivate these contributions if I don't hear from you in the next hour.

Thanks.

--
MikaÃl Barbero - Eclipse Foundation
IT Services - Release Engineering
ð (+33) 642 028 039
ð @mikbarbero

Le 17 mai 2018 Ã 17:34, MikaÃl Barbero <mikael.barbero@xxxxxxxxxxxxxxxxxxxxxx> a Ãcrit :

Aggregation file is looking for feature org.eclipse.mylyn.github.feature.feature.group version 5.0.0.201805151920-m7 while it contains 5.0.0.201805170916.

Le 17 mai 2018 Ã 17:25, MikaÃl Barbero <mikael.barbero@xxxxxxxxxxxxxxxxxxxxxx> a Ãcrit :

I've facing a validation error 

Missing requirement: mappedRepo_home_data_httpd_download.eclipse.org_egit_github_staging_v5.0.0.201805151920-m7 1.0.0 requires 'org.eclipse.mylyn.github.feature.feature.group [5.0.0.201805151920-m7]' but it could not be found

11:20:40      [exec] Build failed! Exception was org.eclipse.core.runtime.CoreException: Cannot complete the install because one or more required items could not be found. Software being installed: validationSet_main 1.0.0 Missing requirement: mappedRepo_home_data_httpd_download.eclipse.org_egit_github_staging_v5.0.0.201805151920-m7 1.0.0 requires 'org.eclipse.mylyn.github.feature.feature.group [5.0.0.201805151920-m7]' but it could not be found Cannot satisfy dependency: validationSet_main 1.0.0 depends on: mappedRepo_home_data_httpd_download.eclipse.org_egit_github_staging_v5.0.0.201805151920-m7 [1.0.0]

It is weird, it should have failed during previous build except if the Egit repo (download.eclipse.org/egit/github/staging/v5.0.0.201805151920-m7) has changed since last build.





Attachment: signature.asc
Description: Message signed with OpenPGP